stralloc_copyb(3)

NAME
stralloc_copyb - copy data into a stralloc

SYNTAX
#include <stralloc.h> int stralloc_copyb(stralloc* sa,const char* buf,unsigned int len);

DESCRIPTION
stralloc_copyb makes sure that sa has enough space allocated to hold len bytes. Then it copies the first len bytes from buf into the stralloc. The data that sa previously contained is overwritten and truncated.

RETURN VALUE
If stralloc_copys runs out of memory, stralloc_copys leaves sa alone and return 0, otherwise it returns 1.